Bug 1943331 - Unable to install FEDORA-EPEL-2020-5dd76178df on RHEL 8.
Summary: Unable to install FEDORA-EPEL-2020-5dd76178df on RHEL 8.
Keywords:
Status: CLOSED DUPLICATE of bug 1972935
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libslirp
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marc-Andre Lureau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-25 19:44 UTC by gtaylor
Modified: 2024-06-14 01:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-28 07:37:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description gtaylor 2021-03-25 19:44:08 UTC
Description of problem:
Attempting to install errata FEDORA-EPEL-2020-5dd76178df displays 
--
No security updates needed, but 0 updates available
Dependencies resolved.
Nothing to do.
--

Version-Release number of selected component (if applicable):
FEDORA-EPEL-2020-5dd76178df

How reproducible:
Always

Steps to Reproduce:
1.# dnf install libslirp
2.# dnf updateinfo list security all
3.# dnf update --advisory=FEDORA-EPEL-2020-5dd76178df
4.# dnf update

Steps with Detailed Results:
# cat /etc/redhat-release
Red Hat Enterprise Linux release 8.3 (Ootpa)


# dnf repolist
Updating Subscription Management repositories.
repo id                                                                            repo name
epel                                                                               Extra Packages for Enterprise Linux 8 - x86_64
epel-modular                                                                       Extra Packages for Enterprise Linux Modular 8 - x86_64
rhel-8-for-x86_64-appstream-rpms                                                   Red Hat Enterprise Linux 8 for x86_64 - AppStream (RPMs)
rhel-8-for-x86_64-baseos-rpms                                                      Red Hat Enterprise Linux 8 for x86_64 - BaseOS (RPMs)


# dnf install libslirp
Updating Subscription Management repositories.
Last metadata expiration check: 0:03:34 ago on Thu 25 Mar 2021 11:59:33 AM PDT.
Dependencies resolved.
==============================================================================================================================================================================================
 Package                          Architecture                   Version                                                       Repository                                                Size
==============================================================================================================================================================================================
Installing:
 libslirp                         x86_64                         4.3.1-1.module+el8.3.1+9803+64eb0fd6                          rhel-8-for-x86_64-appstream-rpms                          69 k
Enabling module streams:
 container-tools                                                 rhel8

Transaction Summary
==============================================================================================================================================================================================
Install  1 Package

Total download size: 69 k
Installed size: 129 k
Is this ok [y/N]: y
Downloading Packages:
libslirp-4.3.1-1.module+el8.3.1+9803+64eb0fd6.x86_64.rpm                                                                                                      215 kB/s |  69 kB     00:00
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                         215 kB/s |  69 kB     00:00
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                                      1/1
  Installing       : libslirp-4.3.1-1.module+el8.3.1+9803+64eb0fd6.x86_64                                                                                                                 1/1
  Running scriptlet: libslirp-4.3.1-1.module+el8.3.1+9803+64eb0fd6.x86_64                                                                                                                 1/1
  Verifying        : libslirp-4.3.1-1.module+el8.3.1+9803+64eb0fd6.x86_64                                                                                                                 1/1
Installed products updated.

Installed:
  libslirp-4.3.1-1.module+el8.3.1+9803+64eb0fd6.x86_64

Complete!

# dnf updateinfo list security all
Updating Subscription Management repositories.
Last metadata expiration check: 0:03:46 ago on Thu 25 Mar 2021 11:59:33 AM PDT.
FEDORA-EPEL-2020-5dd76178df Moderate/Sec. libslirp-4.3.1-2.el8.x86_64

# dnf update --advisory=FEDORA-EPEL-2020-5dd76178df
Updating Subscription Management repositories.
Last metadata expiration check: 0:03:57 ago on Thu 25 Mar 2021 11:59:33 AM PDT.
No security updates needed, but 0 updates available
Dependencies resolved.
Nothing to do.
Complete!

# dnf update
Updating Subscription Management repositories.
Last metadata expiration check: 0:12:30 ago on Thu 25 Mar 2021 11:59:33 AM PDT.
Dependencies resolved.
Nothing to do.
Complete!


Actual results:
Errata not installed.

Expected results:
Errata should be installed. 

Additional info:

Comment 1 Benjamin Bellec 2021-05-27 12:58:44 UTC
It looks like libslirp is already shipped in CentOS AppStream repo.
I guess this package should be remove from EPEL repository.

Comment 2 Marc-Andre Lureau 2021-06-28 07:37:43 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1972935

*** This bug has been marked as a duplicate of bug 1972935 ***


Note You need to log in before you can comment on or make changes to this bug.